--
-- fuelllevel
--


fuelllevel = {};

function fuelllevel.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function fuelllevel:load(xmlFile)
	self.combineName = getXMLString(xmlFile, "vehicle.name.de");
	X, Y, Z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.fuelllevelsAnzeigenPosition#Position"));
end;

function fuelllevel:keyEvent(unicode, sym, modifier, isDown)
end;

function fuelllevel:update(dt)
	local prozent =
self.grainTankFillLevel/self.grainTankCapacity*100;
if prozent > 0
then
renderText(0.78, 0.52, 0.02,""..string.format("AVR Puma: %.0f (%d%%)",
self.grainTankFillLevel-1, prozent).."");
end;
	
end;

function fuelllevel:draw()
end;

function fuelllevel:onEnter()
end;

function fuelllevel:onLeave()
end;

function fuelllevel:delete()
end;

function fuelllevel:mouseEvent(posX, posY, isDown, isUp, button)
end;






